create
POST
/v1/payments
const url = 'https://gateway.paytalya.com/v1/payments';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"amount":1,"partnerTxCode":"example","terminalId":"example","installment":1,"description":"example","returnUrl":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gateway.paytalya.com/v1/payments \ --header 'Content-Type: application/json' \ --data '{ "amount": 1, "partnerTxCode": "example", "terminalId": "example", "installment": 1, "description": "example", "returnUrl": "example" }'Request Body required
Bölüm başlığı “Request Body required ” Media type application/json
object
amount
integer format: int64
partnerTxCode
required
string
terminalId
required
string
installment
integer | null format: int32
description
string | null
returnUrl
required
string
Example generated
{ "amount": 1, "partnerTxCode": "example", "terminalId": "example", "installment": 1, "description": "example", "returnUrl": "example"}Responses
Bölüm başlığı “ Responses ”Created
Media type */*
object
paymentCode
string
status
string
paymentRef
string
handoffUrl
string